/**
 *
 * @public
 * @category Yen
 */
export declare const yenAssoc: <T>(getNextStates: (state: T) => [T, number][], determineIfFound: (state: T) => boolean, initial: T, k: number) => [totalCost: number, pathTo: T[]][];
/**
 *
 * @public
 * @category Yen
 */
export declare const yen: <T>(getNextStates: (state: T) => T[], getCost: (from: T, to: T) => number, determineIfFound: (state: T) => boolean, initial: T, k: number) => [totalCost: number, pathTo: T[]][];
